local T, F = true, false
local def =
{
  music = "beatem_up_level",

  checkpoint =
  {
    {3,9},
    {91,56},
    {118,100, kind = "left"},
    {8,141, kind = "left"},
    {63,188},
    {199,189},
  },

  mounts =
  {
    {60,34.25,"w","bigegg",-1,0, period = 1.5, cycle = {F,F,T}},
    {60,35.5,"w","bigegg",-1,0, period = 1.5, cycle = {F,T,F}},
    {60,36.75,"w","bigegg",-1,0, period = 1.5, cycle = {T,F,F}},

    {155,71.25,"w","bigegg",-1,0, period = 0.75, cycle = {F,F,T,F,T,F,F,F,T,F}},
    {155,72.5,"w","bigegg",-1,0, period = 0.75, cycle = {F,F,T,F,F,F,T,F,T,F}},
    {155,73.75,"w","bigegg",-1,0, period = 0.75, cycle = {T,F,F,F,T,F,T,F,F,F}},
    
    {92,61.5,"e","bigegg",1,0, period = 0.5, cycle = {T,F,T,F,F,F,F,F}},
    {96,67.5,"e","bigegg",1,0, period = 0.5, cycle = {T,F,T,F,T,F,F,F,F,F}},

    {86,101,"s","bigegg",0,1, period = 0.3, cycle = {T,F,F,F,F,F,F,F}},
    {87.6,101,"s","bigegg",0,1, period = 0.3, cycle = {F,F,T,F,F,F,F,F}},
    {89.3,101,"s","bigegg",0,1, period = 0.3, cycle = {F,F,F,F,T,F,F,F}},
    {91,101,"s","bigegg",0,1, period = 0.3, cycle = {F,F,F,F,F,F,T,F}},

    {76,101,"s","bigegg",0,1, period = 0.3, cycle = {T,F,F,F,T,F,F,F}},
    {77.6,101,"s","bigegg",0,1, period = 0.3, cycle = {F,F,T,F,F,F,T,F}},
    {79.3,101,"s","bigegg",0,1, period = 0.3, cycle = {T,F,F,F,T,F,F,F}},
    {81,101,"s","bigegg",0,1, period = 0.3, cycle = {F,F,T,F,F,F,T,F}},

    {66,101,"s","bigegg",0,1, period = 0.3, cycle = {T,F,F,F}},
    {67.6,101,"s","bigegg",0,1, period = 0.3, cycle = {T,F,F,F}},
    {69.3,101,"s","bigegg",0,1, period = 0.3, cycle = {F,F,T,F}},
    {71,101,"s","bigegg",0,1, period = 0.3, cycle = {F,F,T,F}},
    
    {53,191,"n","egg",0,-1, period = 0.75, cycle = {F,F,T,F,F,F,F,F}},
    {54,191,"n","egg",0,-1, period = 0.75, cycle = {F,F,T,F,F,F,T,F}},
    {55,191,"n","egg",0,-1, period = 0.75, cycle = {T,F,F,F,T,F,F,F}},
    
    {154,190.5,"w","bigegg",0,1, period = 0.3, cycle = {T,F,F,F,F,F,F,F,F,F,F,F,F,F,T,F,F,F,T,F,F,F,F,F}},
  },
  
  switches =
  {
    {
      points = { {71,49} },
      tiles =
      {
        --{73,45},{74,45},
        {73,46},{74,46},
        {73,47},{74,47},
        {73,48},{74,48},
        {73,49},{74,49},
      },
      limit = 1,
    },
    
    {
      points = { {97,54} },
      tiles =
      {
        {94,57},{95,57},
        {94,58},{95,58},
      },
      limit = 1,
    },
    {
      points = { {101,60} },
      tiles =
      {
        {98,63},{99,63},
        {98,64},{99,64},
      },
      limit = 1,
    },
    {
      points = { {105,66} },
      tiles =
      {
        {102,69},{103,69},
        {102,70},{103,70},
      },
      limit = 1,
    },
  },
  
  sparks =
  {
    {79,194}, {89,194}, {99,194}, {109,194},
    {83,194}, {93,194}, {103,194}, {113,194},
  },
  
  bg = { 32, 0, 16 },
}

return def