local parent = require("obj.gunman")
local class = game.oo.class(parent)

function class:init(lvl, ...)
  parent.init(self, lvl, ...)
  local sx = (math.random(1, 2) == 1) and -1 or 1
  self:setScale(sx, 1)
end

function class:getMovement()
  local mx = 0
  local shoot = false
  if self:lineOfSight(self.range, 0) then
    shoot = true
  elseif self:lineOfSight(-self.range, 0) then
    local sx, sy = self:getScale()
    mx = -sx
  end
  return mx, 0, false, shoot
end

return class