local parent = require("obj.gunmanb")
local class = game.oo.class(parent)

class.weapon = "rocket"

function class:getMovement()
  local mx = 0
  local shoot = false
  local d = self.lvl.data
  local p = d.p1 or d.p2
  if p then
    local x1, y1 = self:getPosition()
    local x2, y2 = p:getPosition()
    local dx, dy = x2 - x1, y2 - y1
    local q = math.sqrt(dx*dx + dy*dy)
    if q <= self.range and math.abs(dx) > 8 then
      local sx, sy = self:getScale()
      local facing = (sx > 0) == (dx > 0)
      if facing then
        if self:lineOfSight(dx/8*sx, dy/8) then
          shoot = true
          self.cooldown = math.random(100, 300)/100
        end
      else
        mx = -sx
      end
    end
  end
  return mx, 0, false, shoot
end

return class