local cat = game.cat
local parent = require("obj.body")
local class = game.oo.class(parent)

function class:init(lvl, x, y, bits)
  parent.init(self, lvl, x, y, 2)
  local body = self.body
  body:newEdge(-4, -4, 4, -4)
  body:setFilter(cat.platform, cat.player + cat.enemy, 0)
  body:setFriction(0)
  self:setGraphic("platform")
end

return class