local parent = require("obj.trigger")
local class = game.oo.class(parent)
local cat = game.cat

function class:init(lvl, x, y, bits, depth)
  parent.init(self, lvl, x, y, depth or 3)
  local body = self.body
  if bits%2 >= 1 then
    self.down = body:newEdge(-4, 4, 4, 4)
  end
  if bits%4 >= 2 then
    self.up = body:newEdge(-4, -4, 4, -4)
    self.up:setFriction(0.5)
  end
  if bits%8 >= 4 then
    self.left = body:newEdge(-4, -4, -4, 4)
  end
  if bits%16 >= 8 then
    self.right = body:newEdge(4, -4, 4, 4)
  end
  body:setFilter(cat.wall, cat.default, 0)
  self:setGraphic("wall", bits + 1)
end

return class