app = require("utils.love.app")

app.ops = require("defs.options")

app.arg = {}
for _, a in pairs(arg) do
  a = a:match("^%-%-(.+)")
  if a then
    app.arg[a] = true
  end
end

if app.exists("/defs/web.lua") then
  app.ops = require("defs.web")
  app.arg.reset = true
end

app.init(app.ops.identity)

if app.arg.profile then
  print("starting profiler")
  app.profile = require("utils.pure.profile")
  app.profile.start()
end
if not app.arg.reset then
  app.openlog()
  app.loadoptions(app.ops.version.."/options.ser", app.ops)
end
app.ops.nullzone = app.loadstring("return"..app.ops.nullzone)
if app.ops.devmode then
  app.arg.devmode = true
end
if app.crash or not app.ops.audio then
  app.arg.silent = true
end

function love.conf(t)
  local w = t.window
  w.title = "SKULLMASTER'S ARENA"
  for k, v in pairs(w) do
    local u = app.ops[k]
    if type(v) == type(u) then
      w[k] = u
    end
  end
  local m = t.modules
  m.thread = false
  m.audio = not app.arg.silent
  --t.audio.mic = true
end