local legacy = {}

function legacy.latest(dir)
  local found, latest
  local files = app.getdir(dir, "sav")
  for i, fn in ipairs(files) do
    -- find the last modified profile
    fn = dir..fn
    local info = love.filesystem.getInfo(fn)
    if not latest or info.modtime > latest then
      found = fn
      latest = info.modtime
    end
  end
  if found then
    print(found)
    return app.load(found)
  end
end

local u = legacy.latest("/0.0.9/")
u = u or legacy.latest("/0.0.1/")

return type(u) == "table" and u or false