local layout = 
{
  { text = app.lang.video, value = "video" },
  { text = app.lang.audio, value = "audio" },
  { text = app.lang.controls, value = "controls" },
  { text = app.lang.back },
}

layout[1].disabled = app.ops.os == "Web"

function layout.cancel()
  app.popstate()
  app.callstate("reset")
end

function layout.choose(i, j)
  local q = layout[i]
  if q.value == "video" then
    app.pushstate("states.menu", "video")
  elseif q.value == "audio" then
    app.pushstate("states.menu", "audio")
  elseif q.value == "controls" then
    app.pushstate("states.menu", "controls")
  elseif i == #layout then
    layout.cancel()
  end
end

return layout