local layout = 
{
  title = app.lang.pause,
  { text = app.lang.resume },
  { text = app.lang.hiscore },
  { text = app.lang.options },
  { text = app.lang.restart },
  { text = app.lang.quit },
}

function layout.init()
  layout[2].disabled = not (app.portal and app.portal.isConnected())
  layout[4].disabled = game.lvl.session.online
end

function layout.cancel()
  app.popstate()
  app.callstate("resume")
end

function layout.choose(i)
  if i == 1 then
    layout.cancel()
  elseif i == 2 then
    app.pushstate("states.hiscore", game.lvl.title)
  elseif i == 3 then
    app.pushstate("states.menu", "options")
  elseif i == 4 then
    --local s = game.lvl.session
    app.popstate()
    --app.pushstate("states.play", s)
    app.callstate("restart", game.lvl.session)
  elseif i == #layout then
    while app.popstate() do end
    app.pushstate("states.title")
  end
end

return layout