local def =
{
  music = "fast_level",

  checkpoint =
  {
    {348,9, kind = "left"},
    {212,12, kind = "left"},
    {72,53, kind = "left"},
    {0,113}
  },

  mounts =
  {
    {258,16,"s","beam","s", period = 2, cycle = 0.5},
    {253,16,"s","beam","s", period = 2, cycle = 0.5},
    {248,16,"s","beam","s", period = 2, cycle = 0.5},
    {243,16,"s","beam","s", period = 2, cycle = 0.5},
    {238,16,"s","beam","s", period = 2, cycle = 0.5},
    {233,16,"s","beam","s", period = 2, cycle = 0.5},
    
    {157,14,"s","beam","s", period = 2, cycle = 0.5},
    {152,18,"e","beam","e", period = 2, cycle = 0.5},
    {151,42,"w","beam","w", period = 2, cycle = 0.5},
    
    {42,47,"s","beam","s", period = 4, cycle = 0.4, width = 6},
    {47,47,"s","beam","s", period = 4, cycle = 0.4, width = 6},
    {52,47,"s","beam","s", period = 4, cycle = 0.4, width = 6},
  },
  
  switches =
  {
    {
      points = { {200,18} },
      tiles =
      {
        {195,16},{196,16},{197,16},
        {195,17},{196,17},{197,17},
        {195,18},{196,18},{197,18}
      },
      limit = 1,
    },
    {
      points = { {176,18} },
      tiles =
      {
        {171,16},{172,16},{173,16},
        {171,17},{172,17},{173,17},
        {171,18},{172,18},{173,18}
      },
      limit = 1,
    },
    
    {
      points = { {162,41} },
      tiles =
      {
        {124,35},{125,35},
        {124,36},{125,36},
        {124,37},{125,37},
        {124,38},{125,38},
        {124,39},{125,39},
      },
    },
    
    {
      points =
      {
        {101,41},
      },
      tiles =
      {
        {87,42},{88,42},
        {87,43},{88,43},
      },
    },
    {
      points =
      {
        {101,47},
      },
      tiles =
      {
        {87,48},{88,48},
        {87,49},{88,49},
      },
    },
    
    
    {
      points =
      {
        {47,105},
      },
      tiles =
      {
        {38,106},{39,106},
        {38,107},{39,107},
      },
    },
  },
  
  moving = 
  {
    {
      tiles = { {24,116}, {25,116}, {24,117}, {25,117}, },
      path = { {0,15}, {0,-15} },
      speed = 2,
    },
  },
  
  bg = { 32, 16, 0 },
}

return def