local T, F = true, false
local def =
{
  music = "thorns_ropes",

  checkpoint =
  {
    {2,5}, {101,8}, {198,16}, {315,23}, {399,48},
  },

  moving =
  {
    {
      tiles = { {247,16}, {248,16}, {247,17}, {248,17}, },
      path = { {0,-4}, {0,8}, {0,-4} },
      speed = 3,
    },
    {
      tiles = { {252,16}, {253,16}, {252,17}, {253,17}, },
      path = { {0,4}, {0,-8}, {0,4} },
      speed = 3,
    },
    {
      tiles = { {257,16}, {258,16}, {257,17}, {258,17}, },
      path = { {0,-4}, {0,8}, {0,-4} },
      speed = 3,
    },
    {
      tiles = { {262,16}, {263,16}, {262,17}, {263,17}, },
      path = { {0,4}, {0,-8}, {0,4} },
      speed = 3,
    },
    {
      tiles = { {267,16}, {268,16}, {267,17}, {268,17}, },
      path = { {0,-4}, {0,8}, {0,-4} },
      speed = 3,
    },
  },
  
  mounts =
  {
    {27,12,"w","worm",-1,0, period = 1.5, cycle = {F,F,T,F}},
    {27,13,"w","worm",-1,0, period = 1.5, cycle = {F,F,T,F}},
    {27,14,"w","worm",-1,0, period = 1.5, cycle = {T,F,F,F}},
    
    {56,9,"w","worm",-1,0, period = 1.5, cycle = {F,F,T,F}},
    {56,10,"w","worm",-1,0, period = 1.5, cycle = {F,F,T,F}},
    {56,11,"w","worm",-1,0, period = 1.5, cycle = {T,F,F,F}},
    
    {87,6,"w","worm",-1,0, period = 1.5, cycle = {T,F,F,F}},
    {87,7,"w","worm",-1,0, period = 1.5, cycle = {F,F,T,F}},
    {87,8,"w","worm",-1,0, period = 1.5, cycle = {T,F,F,F}},
    
    {281,11,"s","worm",0,1, period = 0.25, cycle = {T,F,F,F,T,F,F,F}},
    {285,11,"s","worm",0,1, period = 0.25, cycle = {T,F,F,F,T,F,T,F}},
    {289,11,"s","worm",0,1, period = 0.25, cycle = {T,F,T,F,T,F,F,F}},
    
    {325,14,"e","worm",1,0, period = 0.3, cycle = {F,F,F,F,T,F}},
    {325,15,"e","worm",1,0, period = 0.3, cycle = {F,F,T,F,F,F}},
    {325,16,"e","worm",1,0, period = 0.3, cycle = {T,F,F,F,F,F}},
    
    {334,9,"w","worm",-1,0, period = 0.3, cycle = {F,F,F,F,T,F}},
    {334,10,"w","worm",-1,0, period = 0.3, cycle = {F,F,T,F,F,F}},
    {334,11,"w","worm",-1,0, period = 0.3, cycle = {T,F,F,F,F,F}},
    --[[
    {348,9,"w","worm",-1,0, period = 0.3, cycle = {F,F,F,F,T,F}},
    {348,10,"w","worm",-1,0, period = 0.3, cycle = {F,F,T,F,F,F}},
    {348,11,"w","worm",-1,0, period = 0.3, cycle = {T,F,F,F,F,F}},
    
    {339,14,"e","worm",1,0, period = 0.3, cycle = {F,F,F,F,T,F}},
    {339,15,"e","worm",1,0, period = 0.3, cycle = {F,F,T,F,F,F}},
    {339,16,"e","worm",1,0, period = 0.3, cycle = {T,F,F,F,F,F}},
    ]]
  },
  
  bg = { 0, 32, 16 },
}

return def