local animations =
{
  file = "conveyor",
  left = { start = 1, frames = 4, cycle = "rloop", steps = 3 },
  center = { start = 5, frames = 4, cycle = "rloop", steps = 3 },
  right = { start = 9, frames = 4, cycle = "rloop", steps = 3 },
  both = { start = 13, frames = 4, cycle = "rloop", steps = 3 },
}

local parent = require("obj.conveyora")
local class = game.oo.class(parent)

class.animations = animations

function class:init(lvl, x, y, bits)
  parent.init(self, lvl, x, y, bits)
  self.speed = 1
end

return class