local cat = game.cat
local parent = require("obj.body")
local class = game.oo.class(parent)

function class:init(lvl, x, y, bits)
  parent.init(self, lvl, x, y, 2)
  local body = self.body
  if bits%4 >= 2 then
    local top = body:newEdge(-4, -4, 4, -4)
    top:setFilterData(cat.platform, cat.default, 0)
  end
  local fixture = body:newBox(4/3, 4)
  fixture:setSensor(true)
  fixture:setFilterData(cat.ladder, cat.player + cat.enemy, 0)
  self:setGraphic("ladder", bits + 1)
end

return class