local parent = require("states.screen")
local class = parent:class()

function class:create()
  parent.create(self)
  self.sprite = self.layer:newSprite(-100, -4)
  self.text = love.graphics.newText(app.fonts.mini)
  self.text:setf(app.lang.demoover, 200, "center")
  self.sprite:setGraphic(self.text)
  love.system.openURL(app.ops.website)
end

function class:destroy()
  self.sprite = nil
  self.text = nil
  parent.destroy(self)
end

function class:cancel()
  self:start()
end

function class:shoot()
  self:start()
end

function class:start()
  app.popstate()
  app.pushstate("states.title")
end

return class