local rands = {}
for i = 1, 1024 do
  rands[i] = math.random()
end
local index = 1
local floor = math.floor

function math.crandom(lo, hi)
  local n = rands[index]
  index = index + 1
  if index > 1024 then
    index = 1
  end
  if lo and hi then
    local range = hi - lo
    return floor(n*range + lo)
  elseif lo then
    return floor(n*lo)
  else
    return n
  end
end